/*
 * CoverFinder - Find and download cover images from Amazon
 * Copyright (C) 2007 - 2008 - Sven Salzwedel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef _CF_PROVIDER_AMAZON
#define _CF_PROVIDER_AMAZON

#include <glib-object.h>
#include "cf-provider.h"

G_BEGIN_DECLS

#define CF_TYPE_PROVIDER_AMAZON cf_provider_amazon_get_type()

#define CF_PROVIDER_AMAZON(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CF_TYPE_PROVIDER_AMAZON, CfProviderAmazon))

#define CF_PROVIDER_AMAZON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), CF_TYPE_PROVIDER_AMAZON, CfProviderAmazonClass))

#define CF_IS_PROVIDER_AMAZON(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CF_TYPE_PROVIDER_AMAZON))

#define CF_IS_PROVIDER_AMAZON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), CF_TYPE_PROVIDER_AMAZON))

#define CF_PROVIDER_AMAZON_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), CF_TYPE_PROVIDER_AMAZON, CfProviderAmazonClass))

typedef struct
{
	GObject parent;
	GSList *results;
	gchar *name;
	gchar *aws_tld;
} CfProviderAmazon;

typedef struct
{
	GObjectClass parent_class;
} CfProviderAmazonClass;

GType cf_provider_amazon_get_type (void);

CfProviderAmazon* cf_provider_amazon_new (const gchar *tld, const gchar *name);

G_END_DECLS

#endif /* _CF_PROVIDER_AMAZON */
