/*
 * CoverFinder - Find and download cover images from Amazon
 * Copyright (C) 2007 - 2008 - Sven Salzwedel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef _CF_SEARCH_RESULT
#define _CF_SEARCH_RESULT

#include <glib-object.h>
#include <gio/gio.h>

G_BEGIN_DECLS

#define CF_TYPE_SEARCH_RESULT cf_search_result_get_type()

#define CF_SEARCH_RESULT(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CF_TYPE_SEARCH_RESULT, CfSearchResult))

#define CF_IS_SEARCH_RESULT(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CF_TYPE_SEARCH_RESULT))

#define CF_SEARCH_RESULT_GET_INTERFACE(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE ((obj), CF_TYPE_SEARCH_RESULT, CfSearchResultInterface))

typedef struct _CfSearchResult CfSearchResult;
typedef struct
{
	GTypeInterface parent;

	gchar * (*get_description) (CfSearchResult *self);
	GFile * (*get_image) (CfSearchResult *self);
} CfSearchResultInterface;

GType cf_search_result_get_type (void);

gchar *cf_search_result_get_description (CfSearchResult *self);

GFile *cf_search_result_get_image (CfSearchResult *self);

G_END_DECLS

#endif /* _CF_SEARCH_RESULT */
